# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.configuration.EMFCompareConfiguration

Packages that use EMFCompareConfiguration
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree
org.eclipse.emf.compare.ide.ui.internal.editor
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer that return EMFCompareConfiguration
Modifier and Type
Method
Description
`protected EMFCompareConfiguration`
EMFCompareContentMergeViewer.`getCompareConfiguration()`
Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
`protected`
`EMFCompareContentMergeViewer(int style, ResourceBundle bundle, EMFCompareConfiguration cc)`
``
`MirrorManager(EMFCompareConfiguration configuration)`
Creates an instance for this confirmation.

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback that return EMFCompareConfiguration
Modifier and Type
Method
Description
`protected EMFCompareConfiguration`
TextFallbackMergeViewer.`getCompareConfiguration()`
Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
``
`TextFallbackCompareInputLabelProvider(TextFallbackMergeViewer textFallbackMergeViewer, EMFCompareConfiguration configuration)`
Creates an instance for the given viewer and configuration.
``
`TextFallbackMergeViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
Creates an instance under the given parent using the given configuration.

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
``
`LabelContentViewer(org.eclipse.swt.widgets.Composite parent, String title, String message, EMFCompareConfiguration configuration)`
Creates a new viewer and its controls.
``
`NoDifferencesContentViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
Creates a new viewer and its controls.
``
`NoSelectedItemContentViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
Creates a new viewer and its controls.
``
`NoVisibleItemContentViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
Creates a new viewer and its controls.
``
`OnlyPseudoConflictsContentViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
Creates a new viewer and its controls.
``
`WaitContentViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
Creates a new viewer and its controls.

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table

Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
`protected`
`TableContentMergeViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration config)`
Call the super constructor.
``
`TableContentMergeViewerContentProvider(EMFCompareConfiguration cc)`

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text that return EMFCompareConfiguration
Modifier and Type
Method
Description
`protected EMFCompareConfiguration`
EMFCompareTextMergeViewer.`getCompareConfiguration()`
Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
``
`EMFCompareTextMergeViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
``
`EMFCompareTextMergeViewerContentProvider(EMFCompareConfiguration cc)`

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree

Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
``
`AbstractTreeContentMergeViewer(int style, ResourceBundle bundle, EMFCompareConfiguration config)`
Creates a new `AbstractTreeContentMergeViewer` by calling the super constructor with the given parameters.
``
`TreeContentMergeViewer(int style, ResourceBundle bundle, org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration config)`
Creates a new `TreeContentMergeViewer` by calling the super constructor with the given parameters.
``
`TreeContentMergeViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration config)`
Creates a new `TreeContentMergeViewer` by calling the super constructor with the given parameters.
``
`TreeContentMergeViewerContentProvider(EMFCompareConfiguration cc)`
Creates a new `TreeContentMergeViewerContentProvider` and stored the given `CompareConfiguration`.

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.editor

Methods in org.eclipse.emf.compare.ide.ui.internal.editor that return EMFCompareConfiguration
Modifier and Type
Method
Description
`EMFCompareConfiguration`
AbstractEMFCompareEditorInput.`getCompareConfiguration()`
Constructors in org.eclipse.emf.compare.ide.ui.internal.editor with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
``
`AbstractEMFCompareEditorInput(EMFCompareConfiguration configuration, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory)`
Constructor that call super with an unmodified `CompareConfiguration`.
``
`ComparisonEditorInput(EMFCompareConfiguration configuration, Comparison comparison, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory)`
``
`ComparisonScopeEditorInput(EMFCompareConfiguration configuration, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory, EMFCompare comparator, IComparisonScope scope)`

## Uses of EMFCompareConfiguration in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return EMFCompareConfiguration
Modifier and Type
Method
Description
`protected final EMFCompareConfiguration`
AbstractStructuredViewerWrapper.`getCompareConfiguration()`
Get the compare configuration object.
Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type EMFCompareConfiguration
Modifier
Constructor
Description
``
`AbstractStructuredViewerWrapper(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration compareConfiguration)`
Constructor.
``
`CompareToolBar(org.eclipse.jface.action.ToolBarManager toolbarManager, StructureMergeViewerGrouper viewerGrouper, StructureMergeViewerFilter viewerFilter, EMFCompareConfiguration compareConfiguration)`
``
`EMFCompareStructureMergeViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration config)`
Constructor.